libzypp 17.38.15

downloadwf.cc File Reference
`#include "downloadwf.h"`
`#include <utility>`
`#include <zypp/ng/context.h>`
`#include <zypp/ng/workflows/checksumwf.h>`
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp-core/ng/pipelines/Algorithm>`
`#include <zypp/ng/media/provide.h>`
`#include <zypp-media/ng/ProvideSpec>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::DownloadWorkflow

## Functions
MaybeAwaitable< expected< zypp::ManagedFile > > | zyppng::DownloadWorkflow::provideToCacheDir (CacheProviderContextRef cacheContext, ProvideMediaHandle medium, zypp::Pathname file, ProvideFileSpec filespec)